Subject: bug#77339: closed (Re: [PATCH mesa-updates 15/15] gnu: mesa: Update to 25.0.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Jun 2025 17:14:08 +0000

Your bug report

#77339: [PATCH mesa-updates 00/15] update vulkan and mesa to latest

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77339: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77339
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH mesa-updates 15/15] gnu: mesa: Update to 25.0.2.
From: John Kehayias <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Jun 2025 17:12:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jun 06, 2025 at 03:10 PM, Andreas Enge wrote:

> Hello,
>
> can this be closed as applied on the mesa-updates branch?
>
> Andreas

Hi,

Good idea, or else I would continue to forget to close it :) This series
and further updates to mesa are on mesa-updates, coming to master
shortly (possibly today).

Thanks for the reminder!
John

Subject: [PATCH mesa-updates 00/15] update vulkan and mesa to latest
From: John Kehayias <[email-masked]>
To: [email-masked]
Cc: John Kehayias <[email-masked]>
Date: Fri, 28 Mar 2025 15:21:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guixers,

Here is a pretty straightforward patch series to update the vulkan ecosysstem
and mesa to the latest versions (as of about a week ago). I have pushed it
already on the mesa-updates branch and the builds seems to have just about
finished even (on Berlin at least)!  I'll follow up with the usual branch
merging email with plans there.

The only slight issue to consider here is that the update to vulkan-headers
won't build without the following commit to update vulkan-loader as these go
together. I suppose that could be squashed to one commit? However, in general
most of vulkan (and everything that depends on it probably) won't build
without the full series. I did try to make sure each package update will build
with its commit.

Thanks!
John

John Kehayias (15):
  gnu: spirv-headers: Update to 1.4.309.0.
  gnu: spirv-tools: Update to 1.4.309.0.
  gnu: Add cmake-minimal-3.30.
  gnu: glslang: Update to 1.4.309.0.
  gnu: vulkan-headers/no-loader: Update to 1.4.309.0.
  gnu: vulkan-loader: Update to 1.4.309.0.
  gnu: vulkan-tools: Update to 1.4.309.0.
  gnu: shaderc: Update to 2025.1.
  gnu: vulkan-utility-libraries: Update to 1.4.309.0.
  gnu: vulkan-validationlayers: Update to 1.4.309.0.
  gnu: vulkan-volk: Update to 1.4.304.
  gnu: vulkan-memory-allocator: Update to 3.2.1.
  gnu: spirv-cross: Update to 1.4.309.0.
  gnu: wayland-protocols: Update to 1.41.
  gnu: mesa: Update to 25.0.2.

 gnu/packages/cmake.scm       | 25 ++++++++++++++
 gnu/packages/freedesktop.scm |  4 +--
 gnu/packages/gl.scm          |  4 +--
 gnu/packages/vulkan.scm      | 65 ++++++++++++++++++++----------------
 4 files changed, 65 insertions(+), 33 deletions(-)

base-commit: efac1498c15198afc4f9a2bc700408bde1b3b3ed
--
2.49.0